service-name: gcpServerlessComputing
plugin-name: ccc-behavioural-plugin
plugin-uri: https://github.com/finos/common-cloud-controls
plugin-version: 0.0.0-dev
evaluation-suites:
- name: gcpServerlessComputing_CCC.SvlsComp
  result: Failed
  catalog-id: CCC.SvlsComp
  start-time: 2026-07-17 08:46:34.853967792 +0000 UTC m=+35.192729071
  end-time: 2026-07-17 08:46:34.854008007 +0000 UTC m=+35.192769306
  corrupted-state: false
  control-evaluations:
    metadata:
      id: ""
      type: Invalid
      gemara-version: ""
      description: ""
      author:
        id: ""
        name: ccc-behavioural-plugin
        type: Invalid
        version: 0.0.0-dev
        uri: https://github.com/finos/common-cloud-controls
    result: Not Run
    evaluations:
    - name: Enforce Use of Private Endpoints for Serverless Function
      result: Failed
      message: Public internet invoke attempt is denied
      control:
        reference-id: CCC.SvlsComp
        entry-id: CCC.SvlsComp.CN01
      assessment-logs:
      - requirement:
          reference-id: ""
          entry-id: CCC.SvlsComp.CN01.AR01
        description: |
          Ensure that the serverless function is accessible only through a private endpoint,
          allowing it to communicate securely within a virtual private network and preventing
          unauthorized external access.
        result: Failed
        message: Public internet invoke attempt is denied
        applicability:
        - tlp-red
        - tlp-amber
        steps:
        - main.behaviouralStepsFromCollector.godogScenarioStep.func3
        - main.behaviouralStepsFromCollector.godogScenarioStep.func3
        - main.behaviouralStepsFromCollector.godogScenarioStep.func3
        steps-executed: 3
        start: "2026-07-17T08:46:34Z"
        confidence-level: Medium
    - name: Implement Function Invocation Rate Limits
      result: Failed
      message: Invocations beyond threshold are throttled
      control:
        reference-id: CCC.SvlsComp
        entry-id: CCC.SvlsComp.CN02
      assessment-logs:
      - requirement:
          reference-id: ""
          entry-id: CCC.SvlsComp.CN02.AR01
        description: |
          Ensure that function invocation is limited to a specified threshold from any single entity,
          preventing resource exhaustion and denial of service attacks.
        result: Failed
        message: Invocations beyond threshold are throttled
        applicability:
        - tlp-red
        - tlp-amber
        steps:
        - main.behaviouralStepsFromCollector.godogScenarioStep.func3
        steps-executed: 1
        start: "2026-07-17T08:46:34Z"
        confidence-level: Medium
    target:
      id: ""
      name: ""
      type: Invalid
